Subject: probs w/ use-only-domain-name

From: Vasily Lewis <[email-masked]>
Date: Sat, 31 Aug 1996 23:41:16 -0500

Ahoy,

  Having recently installed pine 3.95, I am having problems w/ the
use-only-domain-name directive.  I have defined this in
/usr/local/lib/pine.conf.fixed and I have verified its implimentation
by perusing the "Config" part of "Setup" from w/ in the pine program.
use-only-domain-name = Yes is what is displayed.

  The symptoms are as follows:  When composing a new messages, and
inserting in a local user name into the "To:" section, pine correctly
expands that to "GECOS" <[email-masked]> (this appears correct!  Not
server.domain.org).  However, I fire off the message, and invoke pine
to read it, the mail header reads w/:
To: [email-masked]
From: [email-masked]

  Agg.  Quite frustrating.  I have tried also setting the user-domain
directive w/ the same results.  Help would be muchly appreciated.  This
is a NetBSD system (based on 4.4BSD-lite) and as i said earlier, this
is pine 3.95.  I'm no sendmail guru, perhaps sendmail is influencing
this?

-Vasily Lewis